I would like to know how to specify the "Name=" variable in the search command.
This is the Code I got from recording my actions and typed in "Partbodyname"
I would like to change the "Partbodyname" to "myBodies.Item(i).Name" when I put this in another code, but I am unable to figure out how to get this to work.
This is the Code I got from recording my actions and typed in "Partbodyname"
I would like to change the "Partbodyname" to "myBodies.Item(i).Name" when I put this in another code, but I am unable to figure out how to get this to work.
Code:
Sub CATMain()
Dim partDocument1 As PartDocument
Set partDocument1 = CATIA.ActiveDocument
Dim selection1 As Selection
Set selection1 = partDocument1.Selection
selection1.Search "(Name=Partbodyname & CATPrtSearch.BodyFeature),all"
End Sub